import { ComponentClass } from 'react';
import Taro, { Component } from '@tarojs/taro';
import { View, Text, Button, Input } from '@tarojs/components';

import './CheckTelephone.scss';

type PageOwnProps = {};

type PageState = {
  count: number;
  timer: null;
  fetching: boolean;
  tel: string;
  code: string;
  sending: boolean;
  vcode: string;
  imgCode: string;
  imgVcode: string;
  dialogVisible: boolean;
};

interface CheckTelephone {
  state: PageState;
}

class CheckTelephone extends Component {
  constructor(props) {
    super(props);
    this.state = {
      timer: null,
      fetching: false,
      tel: '',
      code: '',
      count: 60,
      sending: false,
      vcode: '',
      imgCode: '',
      imgVcode: '',
      dialogVisible: false,
    };
  }

  fetchImageVcode = () => {
    console.log('in fetchImageVcode');
  };
  registerUser = () => {
    Taro.navigateTo({
      url: '/pages/Register/Register',
    });
  };

  render() {
    const { sending, count } = this.state;
    return (
      <View className='checkTelephone'>
        <View className='loginBox'>
          <Input
            className='loginBox-input'
            type='text'
            placeholder='输入您的手机号'
          />
          <View className='loginBox-vcodeBox'>
            <View className='vcodeBox-input-wrap'>
              <Input
                className='loginBox-input'
                type='text'
                placeholder='请输入短信验证码'
              />
            </View>
            <View className='vcodeBox-button-wrap'>
              {sending && <Text className='countDownText'>{{ count }}s</Text>}
              <Button
                v-else
                className='loginBox-button'
                onClick={this.fetchImageVcode}>
                获取验证码
              </Button>
            </View>
          </View>
          <Button className='loginBox-button big' onClick={this.registerUser}>
            登 录
          </Button>

          {/* // <ks-Dialog
      //   class="imgVcodeBox-wrap"
      //   :visible.sync="dialogVisible"
      //   top="180px"
      // >
      //   <View class="imgVcodeBox-content">
      //     <View class="imgVcodeBox">
      //       <View class="imgVcodeBox-item">
      //         <input
      //           class="loginBox-input"
      //           type="text"
      //           v-model="imgCode"
      //           maxlength="6"
      //         />
      //       </View>
      //       <CodeView class="imgVcodeBox-item" :value="imgVcode"></CodeView>
      //     </View>
      //     <button v-if="fetching" class="loginBox-button big fetching">
      //       确认
      //     </button>
      //     <button v-else class="loginBox-button big" @click="fetchVcode">
      //       确认
      //     </button>
      //   </View>
      // </ks-Dialog> */}
        </View>
      </View>
    );
  }
}

export default CheckTelephone as ComponentClass<PageOwnProps, PageState>;
