import { ComponentClass } from 'react';
import Taro, { Component, Config } from '@tarojs/taro';
import { View, Button, Text, Input } from '@tarojs/components';
import { connect } from '@tarojs/redux';

import './Login.scss';

type PageStateProps = {
  APP_ID: string;
};

type PageOwnProps = {};

type PageState = {
  loadingText: string;
};

type IProps = PageStateProps & PageOwnProps;

interface Login {
  props: IProps;
  state: PageState;
}

@connect(({ constants }) => ({
  APP_ID: constants.APP_ID,
}))
class Login extends Component {
  config: Config = {
    navigationBarTitleText: '多彩校园',
  };

  constructor(props) {
    super(props);
    this.state = {
      loadingText: '载入中...',
    };
  }

  componentWillMount() {}

  render() {
    const { loadingText } = this.state;
    return (
      <View className='Login'>
        <View className='Login-title'>欢迎来到多彩校园</View>
        <View className='Login-loginWay-tab'>
          <Text className='Login-loginWay-item active'>账号登录</Text>
          <Text className='Login-loginWay-item'>手机号登录</Text>
        </View>
        <Input className='Login-input' placeholder='请输入账号手机号' />
        <Input className='Login-input' password placeholder='请输入密码' />
        <View className='Login-regist'>还没有账号？注册</View>
        <Button className='Login-btn'>登录</Button>
      </View>
    );
  }
}

export default Login as ComponentClass<PageOwnProps, PageState>;
